package com.lightinit.hsdataportal.impl.open;

import com.lightinit.hsdataportal.mapper.UserAccountTransactionMapper;
import com.lightinit.hsdataportal.model.MyAccountManageRechargeVOModel;
import com.lightinit.hsdataportal.service.open.IMyAccountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.List;

@Service
public class MyAccountServiceImpl implements IMyAccountService{

    @Autowired
    private UserAccountTransactionMapper userAccountTransactionMapper ;

    @Override
    public List<MyAccountManageRechargeVOModel> queryRechargeList(Long userId, String recharge) {
        return userAccountTransactionMapper.queryRechargeList(userId,recharge);
    }

    @Override
    public List<MyAccountManageRechargeVOModel> queryTransactionList(Long userId, String recharge) {
         return userAccountTransactionMapper.queryTransactionList(userId,recharge);
    }

    @Override
    public BigDecimal getMyBalance(Long id) {
        return userAccountTransactionMapper.getMyBalance(id);
    }
}
